### Function

# GObject enum_complete_type_info

#### Declaration

    void
    g_enum_complete_type_info (
      GType g_enum_type,
      GTypeInfo* info,
      const GEnumValue* const_values
    )

#### Description

This function is meant to be called from the `complete_type_info` function of a `GTypePlugin` implementation, as in the following example:

    static void
    my_enum_complete_type_info (GTypePlugin     *plugin,
                                GType            g_type,
                                GTypeInfo       *info,
                                GTypeValueTable *value_table)
    {
      static const GEnumValue values[] = {
        { MY_ENUM_FOO, "MY_ENUM_FOO", "foo" },
        { MY_ENUM_BAR, "MY_ENUM_BAR", "bar" },
        { 0, NULL, NULL }
      };

      g_enum_complete_type_info (type, info, values);
    }

#### Parameters

`g_enum_type`

  Type: `GType`

  The type identifier of the type being completed.

`info`

  Type: `GTypeInfo`

  The `GTypeInfo` struct to be filled in.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`const_values`

  Type: `GEnumValue`

  An array of `GEnumValue` structs for the possible enumeration values. The array is terminated by a struct with all members being 0.

  The data is owned by the caller of the function.